Get a message by id
curl --request GET \
--url https://n-api.leadstaker.com/v1/messages/{id} \
--header 'x-api-key: <api-key>'import requests
url = "https://n-api.leadstaker.com/v1/messages/{id}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://n-api.leadstaker.com/v1/messages/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "6716d2a57e63cc0015b9f4d1",
"projectId": "665f1c2e8a94b70012d4e9a1",
"chatId": "6713cc481f52bb0014a7d3e9",
"type": "TEXT",
"sender": {
"type": "CONTACT",
"id": "6712a4d95b38ee0011c9f2b4",
"name": "Maria Andrade"
},
"timestamp": "2026-01-15T09:31:40.000Z",
"status": "RECEIVED",
"content": {
"type": "TEXT",
"content": {
"text": "Oi! Vocês atendem no sábado?"
}
},
"createdAt": "2026-01-15T09:31:41.000Z",
"updatedAt": "2026-01-15T09:31:41.000Z"
}{
"errorCode": "<string>",
"message": "<string>",
"status": 123,
"errors": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}{
"errorCode": "<string>",
"message": "<string>",
"status": 123,
"errors": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}Messages
Get a message by id
Answers 404 when the id does not exist or belongs to another project.
GET
/
v1
/
messages
/
{id}
Get a message by id
Authorizations
Path Parameters
Minimum string length:
1Response
Success
Minimum string length:
1Minimum string length:
1Show child attributes
Show child attributes
Available options:
PENDING, SENT, RECEIVED, READ, PLAYED, FAILED Minimum string length:
1Minimum string length:
1Minimum string length:
1Minimum string length:
1- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
- Option 6
- Option 7
- Option 8
- Option 9
- Option 10
- Option 11
Show child attributes
Show child attributes
⌘I